Update script
https://{kibana_url}
- PATCH /api/endpoint/scripts_library/{script_id}
- PATCH /s/{space_id}/api/endpoint/scripts_library/{script_id}
Refer to Spaces for more information.
Update (full or partial) a script entry
Path Parameters
-
script_idstring · max: 256required -
The ID of the script entry to be updated.
Request
-
descriptionstring · max: 10000 -
Description of the script and its purpose/functionality
-
examplestring · max: 10000 -
Example usage of the script
-
fileobject -
The script file upload
-
fileType -
The type of the uploaded file, which determines the expected value of
pathToExecutable. IffileTypeis "script", thenpathToExecutableshould not be included. IffileTypeis "archive", thenpathToExecutableis required and should specify the path to the executable file within the archive. -
Values:
scriptarchive -
instructionsstring · max: 10000 -
Instructions for using the script, including details around its supported input arguments
-
namestring · min: 1 · max: 256 -
Name of the script
-
pathToExecutablestring · max: 4096 -
Used only for when the uploaded script is an archive (.zip file for example). This property defines the relative path to the file included in the archive that should be executed once its contents are extracted. The path should be relative to the root of the archive.
-
requiresInputboolean -
Whether the script requires input arguments
-
Tags to categorize the script
-
Values:
remediationActiondataCollectionnetworkDiagnosticsnetworkActionsystemInventoryforensicCollectionthreatHuntingdiscoverysystemManagementuserManagementtroubleshooting -
versionstring · min: 1 · max: 256 -
Version of the script
Response
Action request was successfully updated
-
data -
createdAtstring -
createdBystring -
descriptionstring -
Description of the script and its purpose/functionality
-
downloadUristring -
URI to download the script file. Note that this is the relative path and does not include the space (if applicable)
-
examplestring -
fileHashstring -
SHA256 hash of the script file that was uploaded
-
fileNamestring -
Name of the script file that was uploaded
-
fileSizeinteger -
Size of the script file that was uploaded in bytes
-
idstring -
instructionsstring -
Instructions for using the script, including details around its supported input arguments
-
namestring -
pathToExecutablestring -
The relative path to the file included in the archive that should be executed once its contents are extracted. Applicable only for scripts uploaded as an archive (.zip file for example).
-
platform -
Values:
linuxmacoswindows -
requiresInputboolean -
Tags that categorize the script
-
Values:
remediationActiondataCollectionnetworkDiagnosticsnetworkActionsystemInventoryforensicCollectionthreatHuntingdiscoverysystemManagementuserManagementtroubleshooting -
updatedAtstring -
updatedBystring -
versionstring